Lavalite package that provides plan management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/plan`.

    "moblyze/plan": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\Plan\Providers\PlanServiceProvider::class,

And also add it to alias

    'Plan'  => Moblyze\Plan\Facades\Plan::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\PlanTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Plan\Providers\PlanServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Plan\Providers\PlanServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Plan\Providers\PlanServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/plan/{modulename}

**User**

    http://path-to-route-folder/user/plan/{modulename}

**Public**

    http://path-to-route-folder/plans


### API endpoints

**List**

    http://path-to-route-folder/api/user/plan/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/plan/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/plan/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/plan/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/plan/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/plan/{modulename}/{slug}
    METHOD: GET