<?php

namespace Moblyze\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FloatpassengerTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Plan\Models\Floatpassenger $floatpassenger)
    {
        return [
            'id'                => $floatpassenger->getRouteKey(),
            'key'               => [
                'public'    => $floatpassenger->getPublicKey(),
                'route'     => $floatpassenger->getRouteKey(),
            ], 
            'float_plan_id'     => $floatpassenger->float_plan_id,
            'user_id'           => $floatpassenger->user_id,
            'checkon'           => $floatpassenger->checkon,
            'checkoff'          => $floatpassenger->checkoff,
            'deleted_at'        => $floatpassenger->deleted_at,
            'url'               => [
                'public'    => trans_url('plan/'.$floatpassenger->getPublicKey()),
                'user'      => guard_url('plan/floatpassenger/'.$floatpassenger->getRouteKey()),
            ], 
            'status'            => trans('app.'.$floatpassenger->status),
            'created_at'        => format_date($floatpassenger->created_at),
            'updated_at'        => format_date($floatpassenger->updated_at),
        ];
    }
}