<?php

namespace Moblyze\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LocationTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Plan\Models\Location $location)
    {
        return [
            'id'                => $location->getRouteKey(),
            'key'               => [
                'public'    => $location->getPublicKey(),
                'route'     => $location->getRouteKey(),
            ], 
            'name'              => $location->name,
            'address'           => $location->address,
            'city'              => $location->city,
            'postcode'          => $location->postcode,
            'latitude'          => $location->latitude,
            'longitude'         => $location->longitude,
            'url'               => [
                'public'    => trans_url('plan/'.$location->getPublicKey()),
                'user'      => guard_url('plan/location/'.$location->getRouteKey()),
            ], 
            'status'            => trans('app.'.$location->status),
            'created_at'        => format_date($location->created_at),
            'updated_at'        => format_date($location->updated_at),
        ];
    }
}