<?php

namespace Moblyze\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ManagerTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Plan\Models\Manager $manager)
    {
        return [
            'id'                => $manager->getRouteKey(),
            'key'               => [
                'public'    => $manager->getPublicKey(),
                'route'     => $manager->getRouteKey(),
            ], 
            'reporting_to'      => $manager->reporting_to,
            'name'              => $manager->name,
            'email'             => $manager->email,
            'password'          => $manager->password,
            'api_token'         => $manager->api_token,
            'remember_token'    => $manager->remember_token,
            'sex'               => $manager->sex,
            'dob'               => $manager->dob,
            'designation'       => $manager->designation,
            'department'        => $manager->department,
            'position'          => $manager->position,
            'buisiness_unit'    => $manager->buisiness_unit,
            'mobile'            => $manager->mobile,
            'phone'             => $manager->phone,
            'address'           => $manager->address,
            'street'            => $manager->street,
            'city'              => $manager->city,
            'district'          => $manager->district,
            'state'             => $manager->state,
            'country'           => $manager->country,
            'zipcode'           => $manager->zipcode,
            'photo'             => $manager->photo,
            'web'               => $manager->web,
            'permissions'       => $manager->permissions,
            'email_verified_at' => $manager->email_verified_at,
            'user_id'           => $manager->user_id,
            'user_type'         => $manager->user_type,
            'upload_folder'     => $manager->upload_folder,
            'deleted_at'        => $manager->deleted_at,
            'team_id'           => $manager->team_id,
            'age_range'         => $manager->age_range,
            'emergency_name'    => $manager->emergency_name,
            'emergency_company' => $manager->emergency_company,
            'relationship'      => $manager->relationship,
            'emergency_contact' => $manager->emergency_contact,
            'emergency_email'   => $manager->emergency_email,
            'url'               => [
                'public'    => trans_url('plan/'.$manager->getPublicKey()),
                'user'      => guard_url('plan/manager/'.$manager->getRouteKey()),
            ], 
            'status'            => trans('app.'.$manager->status),
            'created_at'        => format_date($manager->created_at),
            'updated_at'        => format_date($manager->updated_at),
        ];
    }
}