<?php

namespace Moblyze\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PassengerTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Plan\Models\Passenger $passenger)
    {
        return [
            'id'                => $passenger->getRouteKey(),
            'key'               => [
                'public'    => $passenger->getPublicKey(),
                'route'     => $passenger->getRouteKey(),
            ], 
            'reporting_to'      => $passenger->reporting_to,
            'name'              => $passenger->name,
            'email'             => $passenger->email,
            'password'          => $passenger->password,
            'api_token'         => $passenger->api_token,
            'remember_token'    => $passenger->remember_token,
            'sex'               => $passenger->sex,
            'dob'               => $passenger->dob,
            'designation'       => $passenger->designation,
            'department'        => $passenger->department,
            'position'          => $passenger->position,
            'buisiness_unit'    => $passenger->buisiness_unit,
            'mobile'            => $passenger->mobile,
            'phone'             => $passenger->phone,
            'address'           => $passenger->address,
            'street'            => $passenger->street,
            'city'              => $passenger->city,
            'district'          => $passenger->district,
            'state'             => $passenger->state,
            'country'           => $passenger->country,
            'zipcode'           => $passenger->zipcode,
            'photo'             => $passenger->photo,
            'web'               => $passenger->web,
            'permissions'       => $passenger->permissions,
            'email_verified_at' => $passenger->email_verified_at,
            'user_id'           => $passenger->user_id,
            'user_type'         => $passenger->user_type,
            'upload_folder'     => $passenger->upload_folder,
            'deleted_at'        => $passenger->deleted_at,
            'team_id'           => $passenger->team_id,
            'url'               => [
                'public'    => trans_url('plan/'.$passenger->getPublicKey()),
                'user'      => guard_url('plan/passenger/'.$passenger->getRouteKey()),
            ], 
            'status'            => trans('app.'.$passenger->status),
            'created_at'        => format_date($passenger->created_at),
            'updated_at'        => format_date($passenger->updated_at),
        ];
    }
}