<?php

namespace Moblyze\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class UsersTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Plan\Models\Users $users)
    {
        return [
            'id'                => $users->getRouteKey(),
            'key'               => [
                'public'    => $users->getPublicKey(),
                'route'     => $users->getRouteKey(),
            ], 
            'reporting_to'      => $users->reporting_to,
            'name'              => $users->name,
            'email'             => $users->email,
            'password'          => $users->password,
            'api_token'         => $users->api_token,
            'remember_token'    => $users->remember_token,
            'sex'               => $users->sex,
            'dob'               => $users->dob,
            'designation'       => $users->designation,
            'department'        => $users->department,
            'position'          => $users->position,
            'buisiness_unit'    => $users->buisiness_unit,
            'mobile'            => $users->mobile,
            'phone'             => $users->phone,
            'address'           => $users->address,
            'street'            => $users->street,
            'city'              => $users->city,
            'district'          => $users->district,
            'state'             => $users->state,
            'country'           => $users->country,
            'zipcode'           => $users->zipcode,
            'photo'             => $users->photo,
            'web'               => $users->web,
            'permissions'       => $users->permissions,
            'email_verified_at' => $users->email_verified_at,
            'user_id'           => $users->user_id,
            'user_type'         => $users->user_type,
            'upload_folder'     => $users->upload_folder,
            'deleted_at'        => $users->deleted_at,
            'team_id'           => $users->team_id,
            'url'               => [
                'public'    => trans_url('plan/'.$users->getPublicKey()),
                'user'      => guard_url('plan/users/'.$users->getRouteKey()),
            ], 
            'status'            => trans('app.'.$users->status),
            'created_at'        => format_date($users->created_at),
            'updated_at'        => format_date($users->updated_at),
        ];
    }
}